Issue 48594 - Tablewizard: ShortName longer than 10 chars
Summary: Tablewizard: ShortName longer than 10 chars
Status: ACCEPTED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: 680m98
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-03 09:44 UTC by timar74
Modified: 2013-08-07 15:45 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description timar74 2005-05-03 09:44:46 UTC
I learned on l10n-dev@ooo list that Short Names mustnot be longer than 10 chars. 

There are 5 ShortName strings in en-US (m98) which are longer than 10
characters.

..TableWizard.TableWizard.business.Tables.mailinglist.Fields.nationality	ShortName
en-US	Nationality	11
..TableWizard.TableWizard.business.Tables.orders.Fields.freightcharge
ShortName	en-US	FreightCharge	13
..TableWizard.TableWizard.business.Tables.events.Fields.confirmation
ShortName	en-US	Confirmation	12
..TableWizard.TableWizard.business.Tables.reservations.Fields.confirmation
ShortName	en-US	Confirmation	12
..TableWizard.TableWizard.business.Tables.timebilled.Fields.billingdate	ShortName
en-US	BillingDate	11
Comment 1 marc.neumann 2005-05-24 13:09:19 UTC
reassign to bc
Comment 2 berend.cornelius 2005-05-25 20:00:04 UTC
BC->LIZ: I set up bug 48562 (TableWizard: implement Fallback for Field Short
Names) that I fixed myself. In that issue I installed a final fallback to cut
the short name strings so that they comply with the database needs. In the given
example this issue turns "Freightcharge" into "Freightcha". If you think this
solution is adequate you can set this bug as duplicate to bug i48562. Otherwise
you should send it to the respective translator. 
I hope it's correct to send the bug to you.
Comment 3 e.matthis 2005-05-27 16:57:58 UTC
Liz->BC: The translators have been told to honor the 10 character limit, so
despite your workaround, it is not right to allow the incorrect length in the
English source.

You are in charge of the source, so please correct the strings: I copied the
already existing short names from what showed up in the Table wizard onscreen.
They are also in the resource file
officecfg\registry\data\org\openoffice\Office\TableWizard.xcu

If the automatically generated short names your fallback solution creates have
to be kept, please correct the strings to those fallback short names. (for
example, if the same short names are not allowed to be used in two different
cases, which is what would be the result of the changes here:)

..TableWizard.TableWizard.business.Tables.orders.Fields.freightcharge
FreightCharge --> FrghtChrge
..TableWizard.TableWizard.business.Tables.mailinglist.Fields.nationality
Nationality --> Nationlity
..TableWizard.TableWizard.business.Tables.events.Fields.confirmation
Confirmation ---> Confrmtion
..TableWizard.TableWizard.business.Tables.reservations.Fields.confirmation
Confirmation ---> Confrmtion
..TableWizard.TableWizard.business.Tables.timebilled.Fields.billingdate	ShortName
BillingDate ---> BillngRate

I'm leaving this as Office Later, but if possible, you should fix it in a
version before that. 
Comment 4 berend.cornelius 2005-12-15 17:33:41 UTC
BC: With the integration of cws dbwizardpp1 this issue is no longer that
dramatic as along with issue #i48562# it is taken care of that these mentioned
strings are cut to their maximal allowed length programmatically. Of course this
issue should be fixed anyway. At first I keep the target at OOlater
Comment 5 Rob Weir 2013-07-30 02:46:09 UTC
Reset assignee on issues not touched by assignee in more than 1000 days.